Subject: Re: [PATCH] ether3: Use net_device_stats from struct net_device

From: Tobias Klauser <[email-masked]>
Date: Tue, 17 Aug 2010 20:53:56 +0200

On 2010-08-17 at 20:35:52 +0200, Dan Carpenter <[email-masked]> wrote:
> On Tue, Aug 17, 2010 at 06:15:33PM +0200, Tobias Klauser wrote:
> > struct net_device has its own struct net_device_stats member, so use
> > this one instead of a private copy in the ether1_priv struct.
> > 
> 
> Two were missed, one from ether3_init_for_open()
> 
> 	memset(&priv(dev)->stats, 0, sizeof(struct net_device_stats));
> 
> and another from ether3_rx().
> 
> 	struct net_device_stats *stats = &priv(dev)->stats;

Thanks a lot again. I'll send an updated patch. Please disregard this
one.

(I wasn't able to cross-compile-test the patch here, otherwise these
would hopefully have been caught by the compiler).

  Tobias